TEST Cards

2 Cards

Why choose amazee.ai's Drupal AI provider:

  • Complete data sovereignty - choose your region and retain full control of your data
  • Enterprise-ready security - certified for GDPR, SOC2, ISO 27001 and more
  • Zero Vendor Lock-in - Completely open source. No proprietary restrictions
  • Seamless integration - Works with your existing content stack and hosting setup
  • Quick to deploy - Minimal configuration needed. Start in minutes

How to launch AI for your Drupal Site

1. Require the module with composer

composer require 'drupal/ai_provider_amazeeio'

2. Enable the Module

Either go to /admin/modules to enable it or use Drush:

drush en ai_provider_amazeeio

3. Configure the Provider

  • Navigate to /admin/config/ai/providers/amazeeio
  • Enter your email to receive an activation code
  • Receive a code in your email inbox from amazee, enter this code into the verification field, and submit.
  • You should now be authenticated with the provider module, an amazee.ai LLM key and amazee.ai VectorDB key should exist in the Keys module:

/admin/config/system/keys

Not a developer but ready to get started?
Contact us

amazee.ai vs. ChatGPT, Claude & Gemini

amazee.aiOpenAIAnthropicGoogle
ModelsGPT, Claude,
Gemini + Open Weights
GPT
only
Claude
only
Gemini
only
LocationEU, CH, GER, UK, US, AU choiceUSUSUS
Isolation✅ Isolated
Audit
reports
✅ ISO 27001, SOC2 Type IIEnterprise
only
Enterprise
only
Enterprise
only
MemoryYoursStored (US)Stored (US)Stored (US)
PricingPay per Token$20$20$20
import OpenAI from 'openai';

const openai = new OpenAI({
  apiKey: process.env.AMAZEE_AI_API_KEY,
  baseURL: 'https://llm.[REGION].amazee.ai/v1',
});

const chat = await openai.chat.completions.create({
  model: 'openai/gpt-4.1', // Any model from our directory
  messages: [{ role: 'user', content: 'Hello!' }],
});


from openai import OpenAI
import os

client = OpenAI(
    api_key=os.environ["AMAZEE_AI_API_KEY"],
    base_url="https://llm.[REGION].amazee.ai/v1",
)

chat = client.chat.completions.create(
    model="openai/gpt-4.1",  # Any model from our directory
    messages=[{"role": "user", "content": "Hello!"}],
)
# Any model from our directory
curl https://llm.[REGION].amazee.ai/v1/chat/completions \
  -H "Authorization: Bearer $AMAZEE_AI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "openai/gpt-4.1",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'

Get Started in 5 Minutes

Full self-service. Sign up, add payment, and generate API keys in your chosen region. Use it in almost any Bring-Your-Own-Key AI tool to work and scale securely and compliantly with Private AI.

Recommend

Core

Self-serve.

  • Manage multiple regions and API keys with spending limits for teams
  • AI frontier models GPT 4.1 (5+ coming soon), Claude Opus & Sonnet, Gemini, Mistral, Gemma...
  • Isolated Tenants
  • Regions available: EU (GDPR incl. UK, CH), CH, GER, UK, US, AU
  • Full GDPR compliance, ISO 27001 · SOC 2 Type II
  • Standard DPA
  • Token-based pricing, no per-seat, no minimums
  • Standard support (ticket queue)

Pay per token. Prices vary per model (see directory). Credit card or voucher required.

On Request

Enterprise

Custom solutions such as dedicated infrastructure, enterprise support, or additional models.

  • server icon
    Dedicated cluster, your own isolated infrastructure
  • shield-check
    Enterprise Data Processing Agreements (DPA)
  • globe
    Models in additional regions
  • gauage
    Custom TPM / RPM, sized to your workload
  • settings
    Fine-tuning: adapt LLMs to your domain or use case
  • shield check
    99% uptime SLA with 2-hour response
  • priority support
    Priority Enterprise Support; direct line, not the ticket queue
  • clipboard
    Infrastructure audits for your security team
  • scroll text
    Custom contract terms, including payment schedules